# Are there Spectre-based malware on your Android smartphone?

## Spectre on ARM (focus on ARM A53)
  - List of CPUs on developers.arm.com
  - A53 is not on the list
  - Seems A53 does speculative execution -> may be vulnerable
  - Let's test:
    - Find a PoC for AArch64: ended up not working
    - Implement an ARMv7 PoC for the 32bits smartphone
    - Struggle to find all the needed API and instructions
    - The PoC does not work, even with tuning
    - Same thing with ARM A8
    - Conclusion: it's hard to tell whether the CPU is vulnerable or not,
      but still no PoC

## Are there Malwares in the wild
  - A PoC is NOT a Malware
  - Getting PoCs from there AV DB: no Malware, only PoCs
  - Active detection of Spectre-based attacks

## Conclusion
  - She found no Spectre-based Malware for ARM anywhere
  - She found out that cache-timing attack are really not that common
  - We'll have to look out in the future, but for now, the wild still seems free of Spectre on ARM

## Personal feeling
Very interesting vulgarization!

